<script>
	import { Router, Route } from "svelte-routing";
	import Home from './pages/Home.svelte';
	import ApexSeller from './pages/ApexSeller.svelte';
	import Results from './pages/Results.svelte';
	import ResultsSingle from './pages/ResultsSingle.svelte';
	import Programs from './pages/Programs.svelte';
	import Channel from './pages/Channel.svelte';
	import ChannelSingle from './pages/ChannelSingle.svelte';
	import Link from './pages/Link.svelte';
	import Links from './pages/Links.svelte';
	import PrivacyLegal from './pages/PrivacyLegal.svelte';
	import Contact from './pages/Contact.svelte';
	import NotFound from './pages/NotFound.svelte';
</script>

<Router>
	<Route path="/"><Home/></Route>
	<Route path="apex-seller"><ApexSeller/></Route>
	<Route path="results"><Results/></Route>
	<Route path="results/:slug" let:params><ResultsSingle slug="{params.slug}"/></Route>
	<Route path="programs"><Programs/></Route>
	<Route path="channel"><Channel/></Route>
	<Route path="channel/:slug" let:params><ChannelSingle slug="{params.slug}"/></Route>
	<Route path="i"><Link/></Route>
	<Route path="i/:slug" let:params><Links slug="{params.slug}"/></Route>
	<Route path="privacy-legal"><PrivacyLegal/></Route>
	<Route path="contact"><Contact/></Route>
	<Route><NotFound/></Route>
</Router>